import { ApiUtils as C, Network as r } from "@accelbyte/sdk";
import { Templates$ as s } from "./accelbyte-widgets594.mjs";
function h(a, e) {
  const n = a.assembly(), i = e != null && e.namespace ? e == null ? void 0 : e.namespace : n.namespace, p = e != null && e.cache ? e == null ? void 0 : e.cache : n.cache, m = C.mergedConfigs(n.config, e);
  async function y(o) {
    const t = await new s(r.create(m), i, p).getConfigs_ByTemplate(o);
    if (t.error)
      throw t.error;
    return t.response.data;
  }
  async function l(o, f) {
    const c = await new s(r.create(m), i, p).getConfig_ByTemplate_ByConfig(o, f);
    if (c.error)
      throw c.error;
    return c.response.data;
  }
  return {
    getConfigs_ByTemplate: y,
    getConfig_ByTemplate_ByConfig: l
  };
}
export {
  h as TemplatesApi
};
